Package com.google.earth.kml._2

# Class ScaleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ScaleType

public class ScaleType extends ObjectType
<p>Java class for ScaleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ScaleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element name="x" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="y" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="z" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `x`
  `protected Double`
  `y`
  `protected Double`
  `z`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScaleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getX()`
  Gets the value of the x property.
  `Double`
  `getY()`
  Gets the value of the y property.
  `Double`
  `getZ()`
  Gets the value of the z property.
  `void`
  `setX(Double value)`
  Sets the value of the x property.
  `void`
  `setY(Double value)`
  Sets the value of the y property.
  `void`
  `setZ(Double value)`
  Sets the value of the z property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    protected Double x

  - ### y

    protected Double y

  - ### z

    protected Double z

- ## Constructor Details

  - ### ScaleType

    public ScaleType()

- ## Method Details

  - ### getX

    public Double getX()
    Gets the value of the x property.
    Returns:
      possible object is `Double`

  - ### setX

    public void setX(Double value)
    Sets the value of the x property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getY

    public Double getY()
    Gets the value of the y property.
    Returns:
      possible object is `Double`

  - ### setY

    public void setY(Double value)
    Sets the value of the y property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getZ

    public Double getZ()
    Gets the value of the z property.
    Returns:
      possible object is `Double`

  - ### setZ

    public void setZ(Double value)
    Sets the value of the z property.
    Parameters:
      `value` - allowed object is `Double`